fosphor_render Struct Reference
Fosphor

fosphor render options More...

`#include <fosphor.h>`

## Public Attributes

int | pos_x
| X origin (lower left corner)
int | pos_y
| Y origin (lower left corner)
int | width
| Width
int | height
| Height.
int | options
| Options (See FRO_??? constants)
float | histo_wf_ratio
| Ratio histogram/waterfall ]0,1[.
int | freq_n_div
| Number of frequency divisions.
float | freq_center
| Frequency zoom center ]0,1[.
float | freq_span
| Frequency zoom span ]0,1].
float | wf_span
| Waterfall time zoom ]0,1].
struct fosphor_channel | channels [FOSPHOR_MAX_CHANNELS]
| Displayed channels.
int | _wf_pos
| (private) Waterfall position
float | _x_div
| (private) X divisions width
float | _x [2]
| (private) X endpoints
float | _x_label
| (private) X location for labels
float | _y_histo_div
| (private) Y histogram divisions height
float | _y_histo [2]
| (private) Y histogram endpoints
float | _y_wf [2]
| (private) Y waterfall endpoints
float | _y_label
| (private) Y location for label

## Detailed Description

fosphor render options

## Member Data Documentation

## _wf_pos

int fosphor_render::_wf_pos

(private) Waterfall position

## _x

float fosphor_render::_x[2]

(private) X endpoints

## _x_div

float fosphor_render::_x_div

(private) X divisions width

## _x_label

float fosphor_render::_x_label

(private) X location for labels

## _y_histo

float fosphor_render::_y_histo[2]

(private) Y histogram endpoints

## _y_histo_div

float fosphor_render::_y_histo_div

(private) Y histogram divisions height

## _y_label

float fosphor_render::_y_label

(private) Y location for label

## _y_wf

float fosphor_render::_y_wf[2]

(private) Y waterfall endpoints

## channels

struct fosphor_channel fosphor_render::channels[FOSPHOR_MAX_CHANNELS]

Displayed channels.

## freq_center

float fosphor_render::freq_center

Frequency zoom center ]0,1[.

## freq_n_div

int fosphor_render::freq_n_div

Number of frequency divisions.

## freq_span

float fosphor_render::freq_span

Frequency zoom span ]0,1].

## height

int fosphor_render::height

Height.

## histo_wf_ratio

float fosphor_render::histo_wf_ratio

Ratio histogram/waterfall ]0,1[.

## options

int fosphor_render::options

Options (See FRO_??? constants)

## pos_x

int fosphor_render::pos_x

X origin (lower left corner)

## pos_y

int fosphor_render::pos_y

Y origin (lower left corner)

## wf_span

float fosphor_render::wf_span

Waterfall time zoom ]0,1].

## width

int fosphor_render::width

Width

The documentation for this struct was generated from the following file:

- fosphor.h